body {
    margin: 0;
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen',
    'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue',
    sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}

body, html {
    height: 100%;
    margin: 0;
    background: #7F7FD5;
    background: -webkit-linear-gradient(to right, #91EAE4, #86A8E7, #7F7FD5);
    background: linear-gradient(to right, #91EAE4, #86A8E7, #7F7FD5);
}

code {
    font-family: source-code-pro, Menlo, Monaco, Consolas, 'Courier New',
    monospace;
}

input {
    padding: 10px;
    font-size: 1.2em;
}

button {
    border: none;
    padding: 10px;
    background: #007c80;
    color: #fff;
    font-size: 1.2em;
    font-weight: bold;
}


.container {
    position: relative;
}

.chat-box {
    box-shadow: 0 2.8px 2.2px rgba(0, 0, 0, 0.034), 0 6.7px 5.3px rgba(0, 0, 0, 0.048), 0 12.5px 10px rgba(0, 0, 0, 0.06), 0 22.3px 17.9px rgba(0, 0, 0, 0.072), 0 41.8px 33.4px rgba(0, 0, 0, 0.086), 0 100px 80px rgba(0, 0, 0, 0.12);
    margin: 40px 50px;
    height: 400px;
    padding: 10px;
    display: flex;
    flex-direction: row;
    border-color: transparent;
}

.member-list {
    width: auto
}

.list-friend {
    background: #c8aeec;
}

.chat-content {
    width: 80%;
    margin-left: 10px;
}

.chat-messages {
    height: 80%;
    background-color: #b4d0ec;
    border: 1px solid #000;
    width: 100%;
    border-radius: 10px;
    overflow-y: scroll;
    max-height: 600px;
    vertical-align: bottom;
}

.send-message {
    width: 100%;
    display: flex;
    flex-direction: row;
    border-radius: 5px;
}

.input-message {
    width: 90%;
    background-color: #b4d0ec;
    border-radius: 10px;
}

ul {
    padding: 0;
    list-style-type: none;
}

.member {
    padding: 10px;
    background: #6cb0a3;
    border: #000;
    border-radius: 7px;
    cursor: pointer;
    margin: 5px 2px;
    box-shadow: 0 8px 8px -4px #93c8da;
}

.member.active {
    background: #7f7fd5;
    color: #fff;
}

.member:hover {
    background: #458185;
    color: #fff;
}

.avatar {
    background-color: #7f7fd5;
    padding: 3px 5px;
    border-radius: 5px;
    color: #fff;
}

.avatar.self {
    color: #000;
    background-color: #91eae4;
}

.message {
    padding: 5px;
    width: auto;
    display: flex;
    flex-direction: row;
    box-shadow: 0 3px 10px rgb(0 0 0 / 0.2);
    margin: 5px 10px;
}

.message-data {
    padding: 5px;
}

.message.self {
    justify-content: end;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

body {
    margin: 0;
    font-family: -apple-system, "Helvetica Neue", "Segoe UI", Arial, sans-serif;
    background-color: #0d0d0d;
}

.forms-section {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.section-title {
    font-size: 32px;
    letter-spacing: 1px;
    color: #fff;
    text-align: center;
}

.forms {
    display: flex;
    align-items: flex-start;
    margin-top: 30px;
}

.form-wrapper {
    animation: hideLayer 0.3s ease-out forwards;
}

.form-wrapper.is-active {
    animation: showLayer 0.3s ease-in forwards;
}

@keyframes showLayer {
    50% {
        z-index: 1;
    }
    100% {
        z-index: 1;
    }
}

@keyframes hideLayer {
    0% {
        z-index: 1;
    }
    49.999% {
        z-index: 1;
    }
}

.form-wrapper.is-active {
    transform: translateX(0);
}

.form {
    overflow: hidden;
    min-width: 260px;
    width: 50%;
    padding: 30px 25px;
    border-radius: 5px;
    transform-origin: top;
    margin: 1px auto;
    background-color: #b0d5e1;
}

.form-login {
    animation: hideLogin 0.3s ease-out forwards;
    background-color: white;
}

.form-wrapper.is-active .form-login {
    animation: showLogin 0.3s ease-in forwards;
}

.form-signup {
    animation: hideSignup 0.3s ease-out forwards;
    width: 65%;
    background-color: white;
}

.form-wrapper.is-active .form-signup {
    animation: showSignup 0.3s ease-in forwards;
}

.form fieldset {
    position: relative;
    opacity: 0;
    margin: 0;
    padding: 0;
    border: 0;
    transition: all 0.3s ease-out;
}

.form-login fieldset {
    transform: translateX(-50%);
}

.form-signup fieldset {
    transform: translateX(50%);
}

.form-wrapper.is-active fieldset {
    opacity: 1;
    transform: translateX(0);
    transition: opacity 0.4s ease-in, transform 0.35s ease-in;
}

.form legend {
    position: absolute;
    overflow: hidden;
    width: 1px;
    height: 1px;
    clip: rect(0 0 0 0);
}

.input-block {
    margin-bottom: 20px;
}

.input-block label {
    font-size: 14px;
    color: #a1b4b4;
}

.input-block input {
    display: block;
    width: 100%;
    margin-top: 8px;
    padding-right: 15px;
    padding-left: 15px;
    font-size: 16px;
    line-height: 40px;
    color: #3b4465;
    background: #eef9fe;
    border: 1px solid #cddbef;
    border-radius: 2px;
}

.form [type="submit"] {
    opacity: 0;
    font-size: 18px;
    line-height: 40px;
    border-radius: 25px;
    border: none;
    transition: all 0.3s ease-out;
}
.form [type="reset"] {
    font-size: 18px;
    line-height: 40px;
    border-radius: 25px;
    border: none;
    transition: all 0.3s ease-out;
}

.form-wrapper.is-active .form [type="submit"] {
    opacity: 1;
    transform: translateX(0);
    transition: all 0.4s ease-in;
}

.btn-login {
    color: #fbfdff;
    background: #a7e245;
    transform: translateX(-30%);
    margin: 30px auto 10px;
    display: block;
}

.btn-signup {
    color: #586d94;
    background-color: #a2ccf6;
    box-shadow: inset 0 0 0 2px #86a8e7;
    transform: translateX(30%);

}

.btn-clear {
    color: #586d94;
    background-color: #a2ccf6;
    box-shadow: inset 0 0 0 2px #86a8e7;
    transform: translateX(30%);
}

.btn-login:hover {
    background-color: #008000;
    transition: 0s;
}

.btn-signup:hover {
    color: #86e793;
    background-color: #7eaf5e;
    box-shadow: inset 0 0 0 2px #a5de68;
    transition: 0s;
}
.btn-clear:hover {
    color: #86e7b7;
    background-color: #69b9ec;
    box-shadow: inset 0 0 0 2px #68dec8;
    transition: 0s;
}
#login-msg,
#signup-msg {
    width: 260px;
    color: red;
}

.my_scroll_div {
    display: flex;
    flex-direction: column-reverse;
}